Login  •  Register


The time is now: Mon Nov 18, 2019 3:02 pm

Emaculation wiki  •  Delete all board cookies



Post new topic  Reply to topic Page 1 of 1 [ 4 posts ]
Print view Previous topic  |  Next topic
Author Message
PostPosted: Sun Oct 13, 2019 4:04 am 
Offline
Space Cadet

Joined: Sun Oct 13, 2019 3:36 am
Posts: 1
In the official Basilisk II website, one of the listed features claims BasiliskII can emulate a Mac Classic and run MacOS 0.x thru 7.5
I have had no success in making it run the older systems. What exactly am I doing wrong? It says the system software does not run on this computer, and that I should use a newer version


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Sun Oct 13, 2019 9:34 am 
Offline
Expert User
User avatar

Joined: Thu Feb 09, 2006 10:24 pm
Posts: 5617
Location: Amsterdam, Netherlands
- Which is your host system?
- Which BasiliskII version or build do you run?
- Which GUI settings for "Mac Model ID" and "CPU Type" do you use?
- Which "older systems" did your try in BasiliskII?


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Sun Oct 13, 2019 10:17 am 
Offline
Expert User
User avatar

Joined: Fri Feb 13, 2004 8:59 am
Posts: 4696
Location: Sittard, The Netherlands
Hi,

You are not doing anything wrong, the information you found is seriously outdated.
Basilisk does no longer support Mac OS below version 7.x

Use Mini vMac to emulate the older systems.

Best,
Cat_7


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Tue Oct 15, 2019 7:24 pm 
Offline
Forum All-Star
User avatar

Joined: Fri Nov 27, 2009 5:11 am
Posts: 2719
Location: Emaculation.com
The information is more than seriously outdated; it was never correct. The ancient monolithic builds of Basilisk II only ran System 6.0.5 and later IIRC; there were plans to make it run previous versions, but the hardware support was never added -- instead, the project went through a re-design and System 7.0 on a Performa-series Mac was chosen as the lowest reference combination.

[edit] I just thought of something: has anyone attempted to install 6.0.8L on BII? I haven't, but the entire point of 6.0.8L was to make a version of 6 that's compatible with the Classic II -- which was also known as the Performa 200.

6.0.8L should run on the Classic, Classic II, LC 550 TV, Performa 200, Performa 275, Performa 550, Performa 560, Macintosh Portable (backlit), PowerBook 100, Macintosh LC, LC II, Performa 400, Performa 405, Performa 410 and Performa 430.

If someone doesn't get to it before me, I'm going to try and run 6.0.8L on BII; currently, I have a custom Classic build of Mini vMac I use for it.

https://github.com/cebix/macemu/blob/2e ... atches.cpp indicates that one of these hardware configs *should* work with the appropriate ROM and 6.0.8L.

But then, that patches file also references all hardware back to the 128k Mac, so YMMV.

[edit2] I've updated https://docs.google.com/spreadsheets/d/ ... -Dk7QDyKPY to more clearly identify which ROMs are compatible with BII.


Top
 Profile  
Reply with quote Post a reply  
Display posts from previous:  Sort by  
Post new topic  Reply to topic Page 1 of 1 [ 4 posts ]


Who is online

Users browsing this forum: No registered users and 3 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
 

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group